function MqttToIoTCloudCommon()
{
  var GetMqttJsonGroupName = function(){return MqttToIoTCloudCommon.prototype._GetMqttJsonGroupName_();};
  var GetAzureName = function(){return MqttToIoTCloudCommon.prototype._GetAzureName_();};
  var GetConnectionName = function(){return MqttToIoTCloudCommon.prototype._GetConnectionName_();};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return MqttToIoTCloudCommon.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return MqttToIoTCloudCommon.prototype._ArrayComplement_(FirstArray, SecondArray);};
}










function MqttToIoTCloudUpdatePage()
{
	var SaveGlobalVariable = function(Row){MqttToIoTCloudUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return MqttToIoTCloudUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){MqttToIoTCloudUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){MqttToIoTCloudUpdatePage.prototype._Initialization_();};
  this.ShowInputErrorMessage = function(){MqttToIoTCloudUpdatePage.prototype._ShowInputErrorMessage_();};
  
  
}










function MqttToIoTCloudFirstPage()
{
  this.CheckGroupName = function(){MqttToIoTCloudFirstPage.prototype._CheckGroupName_();};
  this.IsNameRepeat = function(){MqttToIoTCloudFirstPage.prototype._IsNameRepeat_();};
  this.InitialRemoteMqttGroupObject = function(that){MqttToIoTCloudFirstPage.prototype._InitialRemoteMqttGroupObject_(that);};
  this.AutomaticGroupName = function(){MqttToIoTCloudFirstPage.prototype._AutomaticGroupName_();};
  this.UpdateNumber = function(ObjectKey){MqttToIoTCloudFirstPage.prototype._UpdateNumber_(ObjectKey);};
  this.EditButton = function(){MqttToIoTCloudFirstPage.prototype._EditButton_();};
  this.SetInitialValue = function(){MqttToIoTCloudFirstPage.prototype._SetInitialValue_();};
  this.IsTickedModule = function(){MqttToIoTCloudFirstPage.prototype._IsTickedModule_();};
  this.CopyDialogEnabled = function(Event){MqttToIoTCloudFirstPage.prototype._CopyDialogEnabled_(Event);};
  this.GetDeviceName = function(){MqttToIoTCloudFirstPage.prototype._GetDeviceName_();};
  //複製
  var CopyGlobalVariable = function(number){MqttToIoTCloudFirstPage.prototype._CopyGlobalVariable_(number);};
  var CopyTickedModule   = function(){MqttToIoTCloudFirstPage.prototype._CopyTickedModule_();};
  this.CopyModule        = function(){MqttToIoTCloudFirstPage.prototype._CopyModule_();};
  //移除
  var RemoveGlobalVariable = function(number){MqttToIoTCloudFirstPage.prototype._RemoveGlobalVariable_(number);};
  var RemoveTickedModule   = function(){MqttToIoTCloudFirstPage.prototype._RemoveTickedModule_();};
  this.DeleteModule        = function(){MqttToIoTCloudFirstPage.prototype._DeleteModule_();};
  this.ClearAllModule = function(that){MqttToIoTCloudFirstPage.prototype._ClearAllModule_(that);};
  var CheckMqttToIoTCloudQuantity = function(){return MqttToIoTCloudFirstPage.prototype._CheckMqttToIoTCloudQuantity_();};
  this.CopyDialogDisabled = function(that){MqttToIoTCloudFirstPage.prototype._CopyDialogDisabled_(that);};
  this.ModuleAddNewRow = function(that){MqttToIoTCloudFirstPage.prototype._ModuleAddNewRow_(that);};










  this.AddNewRow = function(that){MqttToIoTCloudFirstPage.prototype._AddNewRow_(that);};
  this.SetConnectionName = function(that){MqttToIoTCloudFirstPage.prototype._SetConnectionName_(that);};
  this.SaveModuleSetting = function(Result){MqttToIoTCloudFirstPage.prototype._SaveModuleSetting_(Result);};

  this.SaveDataLayerAndServiceLayerVariables = function(Result){MqttToIoTCloudFirstPage.prototype._SaveDataLayerAndServiceLayerVariables_(Result);};
  this.ChangeConnectionName = function(that){MqttToIoTCloudFirstPage.prototype._ChangeConnectionName_(that);};
  var LoadConnectionName = function(){MqttToIoTCloudFirstPage.prototype._LoadConnectionName_();};
  var ApplyButton = function(index, number, Combobox){MqttToIoTCloudFirstPage.prototype._ApplyButton_(index, number, Combobox);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){MqttToIoTCloudFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){MqttToIoTCloudFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){MqttToIoTCloudFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){MqttToIoTCloudFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi = function(){MqttToIoTCloudFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return MqttToIoTCloudFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return MqttToIoTCloudFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return MqttToIoTCloudFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllTransformMqttJson = function(){return MqttToIoTCloudFirstPage.prototype._IsAllTransformMqttJson_();};
  //初始化
  this.Initialization = function(){MqttToIoTCloudFirstPage.prototype._Initialization_();};
  //傳輸
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){MqttToIoTCloudFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){MqttToIoTCloudFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){MqttToIoTCloudFirstPage.prototype._SaveStart_(that, ssocket);};
  //按鈕
  this.EditButton = function(that){MqttToIoTCloudFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){MqttToIoTCloudFirstPage.prototype._SaveButton_(that);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){MqttToIoTCloudFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ConnectChangeAllCheckbox = function(that){MqttToIoTCloudFirstPage.prototype._ConnectChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){MqttToIoTCloudFirstPage.prototype._ChangeCheckbox_(that);};
}










function MqttToIoTCloudSecondPage()
{
  this.ChangeVariableType = function(ModuleType, that){MqttToIoTCloudSecondPage.prototype._ChangeVariableType_(ModuleType, that);};


  var LoadConnectionName = function(index, ConnectionGroup){MqttToIoTCloudSecondPage.prototype._LoadConnectionName_(index, ConnectionGroup);};
  //變數表
  var VariableTableAddNewRow       = function(number){MqttToIoTCloudSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){MqttToIoTCloudSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){MqttToIoTCloudSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return MqttToIoTCloudSecondPage.prototype._GetModuleName_(number);};
  //介面
  var ClearTable = function(number){MqttToIoTCloudSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){MqttToIoTCloudSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){MqttToIoTCloudSecondPage.prototype._NoConfirmButton_();};
  this.ShowColumn = function(){MqttToIoTCloudSecondPage.prototype._ShowColumn_();};
  this.HideColumn = function(){MqttToIoTCloudSecondPage.prototype._HideColumn_();};
  //全域變數 或 物件
  var ModifyMqttToIoTCloudVariableObject= function(that){MqttToIoTCloudSecondPage.prototype._ModifyMqttToIoTCloudVariableObject_(that);};
  var SetFormInitialValue = function(number){MqttToIoTCloudSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){MqttToIoTCloudSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return MqttToIoTCloudSecondPage.prototype._GetReadWriteType_(string);};
  //判斷
  var AllDataIsCorrect = function(){MqttToIoTCloudSecondPage.prototype._AllDataIsCorrect_();};
  //檢查
  this.CheckAlias = function(that){MqttToIoTCloudSecondPage.prototype._CheckAlias_(that);};
  this.SetFormInitialValue = function(number){MqttToIoTCloudSecondPage.prototype._SetFormInitialValue_(number);};
  this.SetInitDataSetting = function(number){MqttToIoTCloudSecondPage.prototype._SetInitDataSetting_(number);};
  this.ChangeInputModuleType = function(ModuleType, that){MqttToIoTCloudSecondPage.prototype._ChangeInputModuleType_(ModuleType, that);};
  this.GetModuleVariable = function(ModuleType, that){MqttToIoTCloudSecondPage.prototype._GetModuleVariable_(ModuleType, that);};
  this.LoadModuleName = function(ModuleType, that){MqttToIoTCloudSecondPage.prototype._LoadModuleName_(ModuleType, that);};
  this.LoadInputVariableAttribute = function(ModuleType){MqttToIoTCloudSecondPage.prototype._LoadInputVariableAttribute_(ModuleType);};
  this.ChangeVariableAttribute = function(ModuleType){MqttToIoTCloudSecondPage.prototype._ChangeVariableAttribute_(ModuleType);};
  this.GetGlobalVariable = function(ModuleType){MqttToIoTCloudSecondPage.prototype._GetGlobalVariable_(ModuleType);};
  this.ChangeModuleNumber = function(ModuleType, that){MqttToIoTCloudSecondPage.prototype._ChangeModuleNumber_(ModuleType, that);};
  this.GetVariableIndexPrefixWord = function(that){MqttToIoTCloudSecondPage.prototype._GetVariableIndexPrefixWord_(that);};
  this.InputDataSetting = function(){MqttToIoTCloudSecondPage.prototype._InputDataSetting_();};
  this.HideErrorMessage = function(){MqttToIoTCloudSecondPage.prototype._HideErrorMessage_();};


}